Linphone 3.6.1 Doesn't Send RFC2833 Tones

Bug #1311929 reported by Graham Jenkins
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linphone (Ubuntu)
Confirmed
Undecided
Unassigned

Bug Description

> lsb_release -rd
Description: Ubuntu 14.04 LTS
Release: 14.04

> apt-cache policy linphone
linphone:
  Installed: 3.6.1-2.1build2
  Candidate: 3.6.1-2.1build2
  Version table:
 *** 3.6.1-2.1build2 0
        500 http://au.archive.ubuntu.com/ubuntu/ trusty/universe i386 Packages
        100 /var/lib/dpkg/status

I expected that when a call is in progress, I could use the keypad to send tones to my (Australian) ISP, or to '+1 206-456-0649' (VOIP test call). This worked with Linphone as supplied with Ubuntu 13.10.

It does not work with 14.04. Setting 'use_rfc2833=1' in .linphonerc doesn't fix the problem, whether or not use_info is set to 0 or 1.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linphone (Ubuntu):
status: New → Confirmed
Revision history for this message
Matthias van der Heide (launzhpad) wrote :

After upgrading Ubuntu from 13.10 to 14.04 LTS I can now no longer send DTMF tones to my PBX. This used to work in the previous version of Ubuntu.

My PBX specifies RFC2833 as the only way to send DTMF signals, and Linphone is useless to me without it.

Revision history for this message
Graham Jenkins (grahjenk) wrote :

Any estimate of when this might be fixed?

Revision history for this message
Graham Jenkins (grahjenk) wrote :

Anyone working on this??

Revision history for this message
Konstantinos Siatos (ksiatos01) wrote :

it seems that it still does not work even with the latest linphone 3.7 upgrade for ubuntu 14.04
>apt-cache policy linphone
linphone:
  Installed: 3.7.0-0ubuntu0~ppa2~trusty
  Candidate: 3.7.0-0ubuntu0~ppa2~trusty
  Version table:
 *** 3.7.0-0ubuntu0~ppa2~trusty 0
        500 http://ppa.launchpad.net/linphone/release/ubuntu/ trusty/main i386 Packages
        100 /var/lib/dpkg/status
     3.6.1-2.1build2 0
        500 http://gr.archive.ubuntu.com/ubuntu/ trusty/universe i386 Packages

>lsb_release -rd
Description: Ubuntu 14.04.1 LTS
Release: 14.04

Revision history for this message
Graham Jenkins (grahjenk) wrote :

It's been almost a year, and still no fix in place. What happened to "LTS"?

Revision history for this message
Graham Jenkins (grahjenk) wrote :

Any update on this? Perhaps 3.8.1 works?

Revision history for this message
Graham Jenkins (grahjenk) wrote :

And the version installed on Ubuntu 15.04 (3.6.1-2.4build1 amd64) has the same issue!

Revision history for this message
Ilya Melnikov (rayanayar) wrote :
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers